### Virtual Method

# Gio AppInfo do_delete

since: 2.20

#### Declaration

    gboolean
    do_delete (
      GAppInfo* appinfo
    )

#### Description

Tries to delete a `GAppInfo`.

On some platforms, there may be a difference between user-defined `GAppInfos` which can be deleted, and system-wide ones which cannot. See g_app_info_can_delete().

Available since: 2.20

#### Return value

Type: `gboolean`

`TRUE` if `appinfo` has been deleted.